hpp-corbaserver: _impl_Tools Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
_impl_Tools Class Referenceabstract

`#include <hpp/corbaserver/tools-idl.hh>`

Inheritance diagram for _impl_Tools:
[legend]
Collaboration diagram for _impl_Tools:
[legend]

## Public Member Functions
virtual | ~_impl_Tools ()
virtual ::CORBA::Boolean | loadServerPlugin (const char *context_, const char *pluginName)=0
virtual ::CORBA::Boolean | createContext (const char *context_)=0
virtual Names_t * | getContexts ()=0
virtual ::CORBA::Boolean | deleteContext (const char *context_)=0
virtual ::CORBA::Object_ptr | getServer (const char *context_, const char *pluginName, const char *objectname)=0
virtual void | deleteServant (const char *id)=0
virtual void | deleteAllServants ()=0
virtual Names_t * | getAllServants ()=0
virtual void | shutdown ()=0
virtual _CORBA_Boolean | _dispatch (omniCallHandle &)

## Constructor & Destructor Documentation

## ◆ ~_impl_Tools()

virtual _impl_Tools::~_impl_Tools | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _dispatch()

virtual _CORBA_Boolean _impl_Tools::_dispatch | ( | omniCallHandle & |  | ) |
| virtual

## ◆ createContext()

virtual ::CORBA::Boolean _impl_Tools::createContext | ( | const char * | context_ | ) |
| pure virtual

## ◆ deleteAllServants()

virtual void _impl_Tools::deleteAllServants | ( |  | ) |
| pure virtual

## ◆ deleteContext()

virtual ::CORBA::Boolean _impl_Tools::deleteContext | ( | const char * | context_ | ) |
| pure virtual

## ◆ deleteServant()

virtual void _impl_Tools::deleteServant | ( | const char * | id | ) |
| pure virtual

## ◆ getAllServants()

virtual Names_t* _impl_Tools::getAllServants | ( |  | ) |
| pure virtual

## ◆ getContexts()

virtual Names_t* _impl_Tools::getContexts | ( |  | ) |
| pure virtual

## ◆ getServer()

virtual ::CORBA::Object_ptr _impl_Tools::getServer | ( | const char * | context_,
|  | const char * | pluginName,
|  | const char * | objectname
| ) |  |
| pure virtual

## ◆ loadServerPlugin()

virtual ::CORBA::Boolean _impl_Tools::loadServerPlugin | ( | const char * | context_,
|  | const char * | pluginName
| ) |  |
| pure virtual

## ◆ shutdown()

virtual void _impl_Tools::shutdown | ( |  | ) |
| pure virtual

The documentation for this class was generated from the following file:

- src/hpp/corbaserver/tools-idl.hh